Page MenuHomePhabricator

Can't find a way to list all duplicates of a task
Closed, DuplicatePublic

Description

As a triager, I want to produce a list of relevant tasks (filtered by searching) which were merged to task A so that I can fully understand task A.

https://phabricator.wikimedia.org/search/query/5lxS00Fit74r/#R
How do I make a search for all tasks merged to a specific task (or to any task)?

Revisions and Commits

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Qgil triaged this task as Lowest priority.Oct 26 2014, 5:38 AM
Qgil added a project: Phabricator (Upstream).
Qgil added a subscriber: Qgil.

Why a search query? Is it not enough to just go to the task and see the duplicates there?

Why a search query?

To filter the search.

Is it not enough to just go to the task and see the duplicates there?

Unrelated; but that's not possible, either: T883.

I'm missing a usecase... https://en.wikipedia.org/wiki/User_story.

See above.

You still don't explain why you want to have a list of items that got merged into tasks (plural because you can get that list for a single task in the task view itself).
That's what I mean by usecase - I don't think that you run random searches because you're bored but rather because you want to achieve or find out something. :)

Qgil closed this task as Declined.Dec 17 2014, 1:53 PM
Qgil claimed this task.
Nemo_bis reopened this task as Open.Dec 18 2014, 8:16 AM
Nemo_bis updated the task description. (Show Details)
Qgil removed Qgil as the assignee of this task.Dec 18 2014, 3:03 PM
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.

As a triager, I want to produce a list of relevant tasks (filtered by searching) which were merged to task A so that I can fully understand task A.

Workaround: Go to the master task, make sure all comments are shown (click "Show older changes" if needed), search for "merged a task" in your browser window, click the links.

That obviously is more complicated than having a dedicated list displayed somewhere but I'm not convinced that displaying that list is a good use of screen estate when it comes to commonly relevant information. (In a perfect world, triagers copy relevant information from the dup to the master ticket.)

Click "Merge Duplicates In". Select "All Tasks". See the list.

Aklapper closed this task as Declined.Feb 16 2015, 11:47 AM
Aklapper claimed this task.

Acceptable workaround given (thanks FriedhelmW!); closing as declined.

I'm sorry but the actions described in my comment don't show only duplicates. So this is not a workaround.

Aklapper reopened this task as Open.Feb 16 2015, 1:49 PM

No problem. And I should have read your comment more closely too. :-(

Aklapper removed Aklapper as the assignee of this task.Feb 19 2015, 10:16 AM
Qgil added a comment.Feb 23 2015, 9:47 AM

I propose to merge this task with T883: Duplicate tasks are not listed in or near the description of the target task since both try to solve the same problem (seeing in a glance the duplicates of a task).

Diffusion added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:16 AM
Qgil added a comment.Mar 4 2015, 8:51 AM

Accidental clash. Known issue. Sorry for the noise.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM